part of '../../simple_type.dart';

extension IconExtension on Icon {
  Icon copyWith({
    double size,
    Color color,
    String semanticLabel,
    TextDirection textDirection,
    bool sc = true,
  }) =>
      Icon(
        this.icon,
        color: color ?? this.color,
        size: St._apply(size, sc) ?? this.size,
        semanticLabel: semanticLabel ?? this.semanticLabel,
        textDirection: textDirection ?? this.textDirection,
      );

  Icon size(double size, [bool sc = true]) => this.copyWith(size: size, sc: sc);

  Icon color(Color color) => this.copyWith(color: color);

  ExpandedIcon expandedIcon({
    double max = double.maxFinite,
    double min = 2.0,
  }) =>
      ExpandedIcon(
        this.icon,
        color: this.color,
        semanticLabel: this.semanticLabel,
        textDirection: this.textDirection,
        key: this.key,
        maxSize: max,
        minSize: min,
      );
}

extension ExpandedIconExtension on ExpandedIcon {
  ExpandedIcon copyWith({
    double max,
    double min,
  }) =>
      ExpandedIcon(
        this.icon,
        color: this.color,
        semanticLabel: this.semanticLabel,
        textDirection: this.textDirection,
        key: this.key,
        maxSize: max ?? this.max,
        minSize: min ?? this.min,
      );

  ExpandedIcon max(double max, [bool sc = true]) =>
      this.copyWith(max: St._apply(max, sc));

  ExpandedIcon min(double min, [bool sc = true]) =>
      this.copyWith(min: St._apply(min, sc));
}
