part of '../simple_type.dart';

enum LogType { info, verbose, debug, warning, error, wtf }

class St {
  static Logger _logger = Logger();

  static _SimpleCode sc = _SimpleCode();

  static double _apply(double value, [bool apply = true]) {
    return apply ? sc._apply(value) : value;
  }

  static void log(String log, [LogType type = LogType.info]) => {
        LogType.info: _logger.i,
        LogType.verbose: _logger.v,
        LogType.debug: _logger.d,
        LogType.warning: _logger.w,
        LogType.error: _logger.e,
        LogType.wtf: _logger.wtf,
      }[type](log);

  ///Checks whether debug mode or not
  static bool get isDebugMode => SimpleUtils.isDev;

  /// Get Random Primary Color
  static Color get randomPrimaryColor =>
      Colors.primaries[Random().nextInt(Colors.primaries.length)];

  /// Get Random Non-Primary Color
  static Color get randomColor => Color(Random().nextInt(0xffffffff));

  /// Get Random Non-Primary Color
  static Color get randomOpaqueColor =>
      Color(Random().nextInt(0xffffffff)).withAlpha(0xff);
}
